#@TYPE: Machine
#@NAME: xuantie
#@SOC: XuanTie Light
#@DESCRIPTION: Machine configuration for the HiFive Unleashed development board

require conf/machine/include/thead-base.inc

SERIAL_CONSOLES = "115200;ttySIF0"
MACHINE_EXTRA_RRECOMMENDS += "kernel-modules"

IMAGE_FSTYPES += "ext4 cpio.gz squashfs squashfs-xz"
KERNEL_DEVICETREE ?= "sunxi/d1.dtb"
#UBOOT_MACHINE = "sun20iw1p1_defconfig"
UBOOT_MACHINE = "d1_defconfig"
UBOOT_ENTRYPOINT = "0x80200000"
UBOOT_DTB_LOADADDRESS = "0x82200000"
